Bug 219400 - lilypond: non-failsafe install-info usage
lilypond: non-failsafe install-info usage
Product: Fedora
Classification: Fedora
Component: lilypond (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-12-12 17:20 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-23 11:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-12 17:20:13 EST
lilypond's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %preun would fix it.

Additionally, if you like, there's no need to explicitly specify the .gz
extensions, install-info works with plain *.info.

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 1 Quentin Spencer 2006-12-15 15:23:59 EST
This is fixed in the 2.10.2-2 builds.
Comment 2 Ville Skyttä 2006-12-16 11:04:25 EST
Actually, the removals in %preun should be wrapped inside "if [ $1 -eq 0 ] ;
then remove ; fi" - otherwise the info pages will be removed from the index on
package upgrades.  See the scriptletsnippets page from initial comment for more
Comment 3 Quentin Spencer 2006-12-23 11:21:15 EST
OK, I'm adding that in the 2.10.4-1 builds.

Note You need to log in before you can comment on or make changes to this bug.